Package com.sap.ai.sdk.orchestration.model

# Class EmbeddingsModelDetails

java.lang.Object
com.sap.ai.sdk.orchestration.model.EmbeddingsModelDetails

public class EmbeddingsModelDetails extends Object
EmbeddingsModelDetails

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `EmbeddingsModelDetails.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmbeddingsModelDetails()`
  Default constructor for EmbeddingsModelDetails.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EmbeddingsModelDetails.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `EmbeddingsModelDetails` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `EmbeddingsModelDetails`.
  `Integer`
  `getMaxRetries()`
  Maximum number of retries for the Embeddings request.
  `String`
  `getName()`
  Get name
  `EmbeddingsModelParams`
  `getParams()`
  Get params
  `Integer`
  `getTimeout()`
  Timeout for the Embeddings request in seconds.
  `String`
  `getVersion()`
  Get version
  `int`
  `hashCode()`
  `EmbeddingsModelDetails`
  `maxRetries(Integer maxRetries)`
  Set the maxRetries of this `EmbeddingsModelDetails` instance and return the same instance.
  `EmbeddingsModelDetails`
  `name(String name)`
  Set the name of this `EmbeddingsModelDetails` instance and return the same instance.
  `EmbeddingsModelDetails`
  `params(EmbeddingsModelParams params)`
  Set the params of this `EmbeddingsModelDetails` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `EmbeddingsModelDetails` instance.
  `void`
  `setMaxRetries(Integer maxRetries)`
  Set the maxRetries of this `EmbeddingsModelDetails` instance.
  `void`
  `setName(String name)`
  Set the name of this `EmbeddingsModelDetails` instance.
  `void`
  `setParams(EmbeddingsModelParams params)`
  Set the params of this `EmbeddingsModelDetails` instance.
  `void`
  `setTimeout(Integer timeout)`
  Set the timeout of this `EmbeddingsModelDetails` instance.
  `void`
  `setVersion(String version)`
  Set the version of this `EmbeddingsModelDetails` instance.
  `EmbeddingsModelDetails`
  `timeout(Integer timeout)`
  Set the timeout of this `EmbeddingsModelDetails` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `EmbeddingsModelDetails` instance including unrecognized properties.
  `String`
  `toString()`
  `EmbeddingsModelDetails`
  `version(String version)`
  Set the version of this `EmbeddingsModelDetails` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddingsModelDetails

    protected EmbeddingsModelDetails()
    Default constructor for EmbeddingsModelDetails.

- ## Method Details

  - ### name

    @Nonnull public EmbeddingsModelDetails name(@Nonnull String name)
    Set the name of this `EmbeddingsModelDetails` instance and return the same instance.
    Parameters:
      `name` - The name of this `EmbeddingsModelDetails`
    Returns:
      The same instance of this `EmbeddingsModelDetails` class

  - ### getName

    @Nonnull public String getName()
    Get name
    Returns:
      name The name of this `EmbeddingsModelDetails` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `EmbeddingsModelDetails` instance.
    Parameters:
      `name` - The name of this `EmbeddingsModelDetails`

  - ### version

    @Nonnull public EmbeddingsModelDetails version(@Nullable String version)
    Set the version of this `EmbeddingsModelDetails` instance and return the same instance.
    Parameters:
      `version` - The version of this `EmbeddingsModelDetails`
    Returns:
      The same instance of this `EmbeddingsModelDetails` class

  - ### getVersion

    @Nonnull public String getVersion()
    Get version
    Returns:
      version The version of this `EmbeddingsModelDetails` instance.

  - ### setVersion

    public void setVersion(@Nullable String version)
    Set the version of this `EmbeddingsModelDetails` instance.
    Parameters:
      `version` - The version of this `EmbeddingsModelDetails`

  - ### params

    @Nonnull public EmbeddingsModelDetails params(@Nullable EmbeddingsModelParams params)
    Set the params of this `EmbeddingsModelDetails` instance and return the same instance.
    Parameters:
      `params` - The params of this `EmbeddingsModelDetails`
    Returns:
      The same instance of this `EmbeddingsModelDetails` class

  - ### getParams

    @Nonnull public EmbeddingsModelParams getParams()
    Get params
    Returns:
      params The params of this `EmbeddingsModelDetails` instance.

  - ### setParams

    public void setParams(@Nullable EmbeddingsModelParams params)
    Set the params of this `EmbeddingsModelDetails` instance.
    Parameters:
      `params` - The params of this `EmbeddingsModelDetails`

  - ### timeout

    @Nonnull public EmbeddingsModelDetails timeout(@Nullable Integer timeout)
    Set the timeout of this `EmbeddingsModelDetails` instance and return the same instance.
    Parameters:
      `timeout` - Timeout for the Embeddings request in seconds. This parameter is currently ignored for Vertex AI models. Minimum: 1 Maximum: 1200
    Returns:
      The same instance of this `EmbeddingsModelDetails` class

  - ### getTimeout

    @Nonnull public Integer getTimeout()
    Timeout for the Embeddings request in seconds. This parameter is currently ignored for Vertex AI models. minimum: 1 maximum: 1200
    Returns:
      timeout The timeout of this `EmbeddingsModelDetails` instance.

  - ### setTimeout

    public void setTimeout(@Nullable Integer timeout)
    Set the timeout of this `EmbeddingsModelDetails` instance.
    Parameters:
      `timeout` - Timeout for the Embeddings request in seconds. This parameter is currently ignored for Vertex AI models. Minimum: 1 Maximum: 1200

  - ### maxRetries

    @Nonnull public EmbeddingsModelDetails maxRetries(@Nullable Integer maxRetries)
    Set the maxRetries of this `EmbeddingsModelDetails` instance and return the same instance.
    Parameters:
      `maxRetries` - Maximum number of retries for the Embeddings request. This parameter is currently ignored for Vertex AI models. Minimum: 0 Maximum: 5
    Returns:
      The same instance of this `EmbeddingsModelDetails` class

  - ### getMaxRetries

    @Nonnull public Integer getMaxRetries()
    Maximum number of retries for the Embeddings request. This parameter is currently ignored for Vertex AI models. minimum: 0 maximum: 5
    Returns:
      maxRetries The maxRetries of this `EmbeddingsModelDetails` instance.

  - ### setMaxRetries

    public void setMaxRetries(@Nullable Integer maxRetries)
    Set the maxRetries of this `EmbeddingsModelDetails` instance.
    Parameters:
      `maxRetries` - Maximum number of retries for the Embeddings request. This parameter is currently ignored for Vertex AI models. Minimum: 0 Maximum: 5

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `EmbeddingsModelDetails`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `EmbeddingsModelDetails` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `EmbeddingsModelDetails` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `EmbeddingsModelDetails` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static EmbeddingsModelDetails.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `EmbeddingsModelDetails` instance with all required arguments.